LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XContainerQuery Interface Referencepublished

supports simple query feature on a container More...

`import"XContainerQuery.idl";`

Inheritance diagram for XContainerQuery:

## Public Member Functions
XEnumeration | createSubSetEnumerationByQuery ([in] string Query)
| creates a sub set of container items which match given query command More...
XEnumeration | createSubSetEnumerationByProperties ([in] sequence< com::sun::star::beans::NamedValue > Properties)
| creates a sub set of container items which supports searched properties as minimum More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports simple query feature on a container

This interface makes it possible to create sub sets of container items which serve specified search criterion.

## Member Function Documentation

## ◆ createSubSetEnumerationByProperties()

XEnumeration createSubSetEnumerationByProperties | ( | [in] sequence< com::sun::star::beans::NamedValue > | Properties | ) |

creates a sub set of container items which supports searched properties as minimum

It's not possible to use special commands or search specific parameters here. You can match by properties only. Enumerated elements must provide queried properties as minimum. Not specified properties will not be used for searching.

Parameters

  Properties | items of sub set must support given properties as minimum example: (supported) search for items which match the name pattern and supports the VISIBLE feature Parameters[0].Name = "name" Parameters[0].Value = "*myname_??_" Parameters[1].Name = "feature" Parameters[1].Value = "VISIBLE" ... (unsupported) "sort" isn't a property of a container item! Parameters[0].Name = "sort" Parameters[0].Value = "ascending" ...

Returns
  an sub set of container items as an enumeration.

## ◆ createSubSetEnumerationByQuery()

XEnumeration createSubSetEnumerationByQuery | ( | [in] string | Query | ) |

creates a sub set of container items which match given query command

Items of this sub set must match used query string. Format of query depends from real implementation. Using of "param=value" pairs isn't necessary. So it's possible to combine different parameters as one simple command string.

Parameters

  Query | items of sub set must match to this query example: (1) query as parameter sequence to return all elements which match the name pattern and supports a special feature; sort it ascending "name=*myname_??_;sort=ascending;feature=VISIBLE" (2) query as command to return all elements which support special feature and match by name pattern;ascending sort is the default "getAllVisible(*myname_??_)"

Returns
  an sub set of container items as an enumeration.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XContainerQuery.idl